body {
    font-family: "Verdana", sans-serif !important;
    font-size: 16px;
}

.content-title-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 10px;
    margin-right: 40px;
}

h1 {
    margin-left: 30px !important;
    line-height: 1.5 !important;
    font-size: 21px !important;
    font-weight: bold !important;
    color: #004AAD !important;
    text-shadow: 1px 1px 1px lightgrey !important;
}

.content-title-button {
    color: #004AAD;
    padding: 0.3em 1.3em;
    border-radius: 0.5em;
    background: linear-gradient(to bottom, #eeeeee 0%, #eeeeee 100%);
    cursor: pointer;
    border: 1px solid #e8e8e8;
    transition: all 0.3s;
    box-shadow: 6px 6px 12px #c5c5c5, -6px -6px 12px #ffffff;
}

.content-title-button:active {
    color: #666;
    box-shadow: inset 4px 4px 12px #c5c5c5, inset -4px -4px 12px #ffffff;
}

.content-footer-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 10px;
    margin-right: 40px;
}

.content-backlink-container {
    display: flex;
    justify-content: flex-end;
    margin: 10px;
    margin-right: 40px;
}

.back-link {
    font-size: 13px;
    color: #004AAD;
    text-decoration: underline;
    cursor: pointer;
}

.ui-datepicker {
    border: 1px solid #87CEFA !important;
}

.form-select {
    border: 1px solid #87CEFA !important;
}

.selectpicker-container--default .selectpicker-selection--single {
    border: 1px solid #87CEFA !important;
}

/* Statut 2 : Par défaut (Gris) */
.status-icon.color-OT-STATUS-ATTENTE-JOINTEUR {
    background-color: lightgrey;
    color: lightgrey;
}
.status-ot.color-OT-STATUS-ATTENTE-JOINTEUR {
    background-color: lightgrey;
    color: black;
    text-shadow: 1px 1px 1px white;
}

/* Statut 3 : Rouge (Refusé) */
.status-icon.color-OT-STATUS-REFUSE {
    background-color: red;
    color: red;
}
.status-ot.color-OT-STATUS-REFUSE {
    background-color: red;
    color: white;
    text-shadow: 1px 1px 1px lightgrey;
}

/* Statut 4 : Jaune (En cours) */
.status-icon.color-OT-STATUS-EN-COURS {
    background-color: yellow;
    color: yellow;
}
.status-ot.color-OT-STATUS-EN-COURS {
    background-color: yellow;
    color: brown;
    text-shadow: 1px 1px 1px lightgrey;
}

/* Statut 5 : Jaune/gris (Attribuer paveur) */
.status-icon.color-OT-STATUS-ATTRIBUER-PAVEUR {
    background: #FFE100;
    background: linear-gradient(90deg, rgba(255, 225, 0, 1) 0%, rgba(196, 196, 196, 1) 71%, rgba(156, 156, 154, 1) 100%);
    color: #FFE100;
}
.status-ot.color-OT-STATUS-ATTRIBUER-PAVEUR {
    background: #FFE100;
    background: linear-gradient(90deg, rgba(255, 225, 0, 1) 0%, rgba(196, 196, 196, 1) 71%, rgba(156, 156, 154, 1) 100%);
    color: #FFE100;
    text-shadow: 1px 1px 1px lightgrey;
}

/* Statut 6 : Jaune/Orange (En attente du paveur) */
.status-icon.color-OT-STATUS-ATTENTE-PAVEUR {
    background: #FFE100;
    background: linear-gradient(90deg, rgba(255, 225, 0, 1) 0%, rgba(250, 187, 0, 1) 51%, rgba(255, 128, 0, 1) 100%);
    color: #FFE100;
}
.status-ot.color-OT-STATUS-ATTENTE-PAVEUR {
    background: #FFE100;
    background: linear-gradient(90deg, rgba(255, 225, 0, 1) 0%, rgba(250, 187, 0, 1) 51%, rgba(255, 128, 0, 1) 100%);
    color: #FFE100;
    text-shadow: 1px 1px 1px lightgrey;
}

/* Statut 7 : Orange (Clôturé) */
.status-icon.color-OT-STATUS-CLOTURE {
    background-color: orange;
    color: orange;
}
.status-ot.color-OT-STATUS-CLOTURE {
    background-color: orange;
    color: brown;
    text-shadow: 1px 1px 1px lightgrey;
}

/* Statut 8 : Vert clair (Validé) */
.status-icon.color-OT-STATUS-VALIDE {
    background-color: #0cf29a;
    color: #0cf29a;
}
.status-ot.color-OT-STATUS-VALIDE {
    background-color: #24c98f;
    color: white;
}

/* Statut 9 : Vert (Terminé) */
.status-icon.color-OT-STATUS-TERMINE {
    background-color: #1e845d;
    color: #1e845d;
}
.status-ot.color-OT-STATUS-TERMINE {
    background-color: #1e845d;
    color: white;
}

.status-icon {
    width: 1em;
    height: 1em;
    margin-right: 5px;
    vertical-align: middle;
    stroke-width: 3;
    filter: drop-shadow(2px 2px 2px rgba(0, 0, 0, 0.4));
}

/* Supprime la bordure et l'ombre interne grise */
.selectize-control.single .selectize-input,
.selectize-control.single .selectize-input.input-active {
    border: none !important;
    box-shadow: none !important;
    background: transparent !important; /* Optionnel : si vous voulez enlever le fond blanc */
}

/* Si vous voulez garder une bordure mais enlever juste le "relief" gris */
.selectize-input {
    border: 0px solid white !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}
.selectize-dropdown .active:not(.selected) {
  background: #004AAD !important;
  color: white !important;
}
.selectize-dropdown .selected {
    background-color: #FFFACB !important;
    color: black !important;
}
.form-selectpicker {
  font-size: 1em;
}
.selectize-input {
  font-size: 1em;
}
input {
  font-size: 1em;
}

/* Ajustements pour desktop (PC) */
@media (min-width: 992px) {
    body {
        font-size: 0.80em !important;
    }
    .back-link {
        font-size: 0.95em !important;
    }
    .dropdown-menu {
      --bs-dropdown-font-size: 0.95em !important;
    }
    .form-select {
      font-size: 0.95em !important;
    }
    .form-selectpicker {
      font-size: 0.95em !important;
    }
    .selectize-input {
      font-size: 0.95em !important;
    }
    input {
      font-size: 0.95em !important;
    }
}
